[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TUpdateKind

Kind of update operation

## Declaration

Source position: db.pas line 1260

`type TUpdateKind = (`
`ukModify,` |  | Modify an existing record in the database.
`ukInsert,` |  | insert a new record in the database.
`ukDelete` |  | Delete a record in the database.
`);`

## Description

TUpdateKind indicates what kind of update operation is in progress when applying updates.

## See also

TUpdateAction |  | Action to perform when an update operation fails
TDataAction |  | Action to take when a data manipulation operation has failed.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .